Public Member Functions | Public Attributes | Friends | List of all members
MacWrtProStructuresInternal::Paragraph Struct Referencefinal

Internal: class to store the paragraph properties. More...

Inheritance diagram for MacWrtProStructuresInternal::Paragraph:

## Public Member Functions
| Paragraph ()
| Constructor. More...
| ~Paragraph () final
| destructor More...
Public Member Functions inherited from MWAWParagraph
| MWAWParagraph ()
| constructor More...
virtual | ~MWAWParagraph ()
| destructor More...
bool | operator== (MWAWParagraph const &p) const
| operator== More...
bool | operator!= (MWAWParagraph const &p) const
| operator!= More...
int | cmp (MWAWParagraph const &p) const
| a comparison function More...
double | getMarginsWidth () const
| return the paragraph margin width (in inches) More...
bool | hasBorders () const
| check if the paragraph has some borders More...
bool | hasDifferentBorders () const
| check if the paragraph has different borders More...
void | resizeBorders (size_t newSize)
| a function used to resize the borders list ( adding empty borders if needed ) More...
void | setInterline (double value, librevenge::RVNGUnit unit, LineSpacingType type=Fixed)
| set the interline More...
void | addTo (librevenge::RVNGPropertyList &propList, bool inTable) const
| add to the propList More...
void | insert (MWAWParagraph const &para)
| insert the set values of para in the actual paragraph More...

## Public Attributes
int | m_value
| a unknown value More...
Public Attributes inherited from MWAWParagraph
MWAWVariable< double > | m_margins [3]
| the margins More...
MWAWVariable< librevenge::RVNGUnit > | m_marginsUnit
| the margins INCH, ... More...
MWAWVariable< double > | m_spacings [3]
| the line spacing More...
MWAWVariable< librevenge::RVNGUnit > | m_spacingsInterlineUnit
| the interline unit PERCENT or INCH, ... More...
MWAWVariable< LineSpacingType > | m_spacingsInterlineType
| the interline type: fixed, atLeast, ... More...
MWAWVariable< std::vector< MWAWTabStop > > | m_tabs
| the tabulations More...
MWAWVariable< bool > | m_tabsRelativeToLeftMargin
| true if the tabs are relative to left margin, false if there are relative to the page margin (default) More...
MWAWVariable< Justification > | m_justify
| the justification More...
MWAWVariable< int > | m_breakStatus
| a list of bits: 0x1 (unbreakable), 0x2 (do not break after) More...
MWAWVariable< libmwaw::WritingMode > | m_writingMode
| the writing mode More...
MWAWVariable< int > | m_listLevelIndex
| the actual level index More...
MWAWVariable< int > | m_listId
| the list id (if know ) More...
MWAWVariable< int > | m_listStartValue
| the list start value (if set ) More...
MWAWVariable< MWAWListLevel > | m_listLevel
| the actual level More...
MWAWVariable< MWAWColor > | m_backgroundColor
| the background color More...
std::vector< MWAWVariable< MWAWBorder > > | m_borders
| list of border ( order MWAWBorder::Pos) More...
std::string | m_styleName
| the style name More...
std::string | m_extra
| a string to store some errors More...

## Friends
std::ostream & | operator<< (std::ostream &o, Paragraph const &ind)
| operator<< More...

## Additional Inherited Members
Public Types inherited from MWAWParagraph
enum | { NoBreakBit = 0x1, NoBreakWithNextBit =0x2 }
| some bit use to defined the break status More...
enum | Justification { JustificationLeft, JustificationFull, JustificationCenter, JustificationRight, JustificationFullAllLines }
| an enum used to defined the paragraph justification: left, center, right, full ... More...
enum | LineSpacingType { Fixed, AtLeast }
| the line spacing type: fixed or at least More...

## Detailed Description

Internal: class to store the paragraph properties.

## Constructor & Destructor Documentation

## ◆ Paragraph()

MacWrtProStructuresInternal::Paragraph::Paragraph | ( |  | ) |
| inline

Constructor.

## ◆ ~Paragraph()

MacWrtProStructuresInternal::Paragraph::~Paragraph | ( |  | ) |
| final

destructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Paragraph const & | ind
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_value

int MacWrtProStructuresInternal::Paragraph::m_value

a unknown value

The documentation for this struct was generated from the following file:

- MacWrtProStructures.cxx